OpenTTD AI API: Data Fields

OpenTTD AI API 1.11.0-RC1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - e -

- EARLIEST_QUARTER : AICompany
- EnableAutoReplaceProtection() : AIGroup
- EnableWagonRemoval() : AIGroup
- ERR_ALREADY_BUILT : AIError
- ERR_AREA_ALREADY_FLAT : AITile
- ERR_AREA_NOT_CLEAR : AIError
- ERR_BRIDGE_BASE : AIBridge
- ERR_BRIDGE_CANNOT_END_IN_WATER : AIBridge
- ERR_BRIDGE_HEADS_NOT_ON_SAME_HEIGHT : AIBridge
- ERR_BRIDGE_TYPE_UNAVAILABLE : AIBridge
- ERR_CAT_BIT_SIZE : AIError
- ERR_CAT_BRIDGE : AIError
- ERR_CAT_GENERAL : AIError
- ERR_CAT_MARINE : AIError
- ERR_CAT_NONE : AIError
- ERR_CAT_ORDER : AIError
- ERR_CAT_RAIL : AIError
- ERR_CAT_ROAD : AIError
- ERR_CAT_SIGN : AIError
- ERR_CAT_STATION : AIError
- ERR_CAT_TILE : AIError
- ERR_CAT_TUNNEL : AIError
- ERR_CAT_VEHICLE : AIError
- ERR_CAT_WAYPOINT : AIError
- ERR_CROSSING_ON_ONEWAY_ROAD : AIRail
- ERR_EXCAVATION_WOULD_DAMAGE : AITile
- ERR_FLAT_LAND_REQUIRED : AIError
- ERR_GENERAL_BASE : AIError
- ERR_LAND_SLOPED_WRONG : AIError
- ERR_LIMIT_REACHED : AITile
- ERR_LOCAL_AUTHORITY_REFUSES : AIError
- ERR_MARINE_BASE : AIMarine
- ERR_MARINE_MUST_BE_BUILT_ON_WATER : AIMarine
- ERR_NAME_IS_NOT_UNIQUE : AIError
- ERR_NEWGRF_SUPPLIED_ERROR : AIError
- ERR_NONE : AIError
- ERR_NOT_ENOUGH_CASH : AIError
- ERR_ORDER_AIRCRAFT_NOT_ENOUGH_RANGE : AIOrder
- ERR_ORDER_BASE : AIOrder
- ERR_ORDER_TOO_FAR_AWAY_FROM_PREVIOUS_DESTINATION : AIOrder
- ERR_ORDER_TOO_MANY : AIOrder
- ERR_OWNED_BY_ANOTHER_COMPANY : AIError
- ERR_PRECONDITION_FAILED : AIError
- ERR_PRECONDITION_INVALID_COMPANY : AIError
- ERR_PRECONDITION_STRING_TOO_LONG : AIError
- ERR_PRECONDITION_TOO_MANY_PARAMETERS : AIError
- ERR_RAIL_BASE : AIRail
- ERR_RAILTYPE_DISALLOWS_CROSSING : AIRail
- ERR_ROAD_BASE : AIRoad
- ERR_ROAD_CANNOT_BUILD_ON_TOWN_ROAD : AIRoad
- ERR_ROAD_DRIVE_THROUGH_WRONG_DIRECTION : AIRoad
- ERR_ROAD_ONE_WAY_ROADS_CANNOT_HAVE_JUNCTIONS : AIRoad
- ERR_ROAD_WORKS_IN_PROGRESS : AIRoad
- ERR_ROADTYPE_DISALLOWS_CROSSING : AIRoad
- ERR_SIGN_BASE : AISign
- ERR_SIGN_TOO_MANY_SIGNS : AISign
- ERR_SITE_UNSUITABLE : AIError
- ERR_STATION_BASE : AIStation
- ERR_STATION_TOO_CLOSE_TO_ANOTHER_STATION : AIStation
- ERR_STATION_TOO_MANY_STATIONS : AIStation
- ERR_STATION_TOO_MANY_STATIONS_IN_TOWN : AIStation
- ERR_STATION_TOO_SPREAD_OUT : AIError
- ERR_TILE_BASE : AITile
- ERR_TILE_TOO_HIGH : AITile
- ERR_TILE_TOO_LOW : AITile
- ERR_TOO_CLOSE_TO_EDGE : AIError
- ERR_TUNNEL_ANOTHER_TUNNEL_IN_THE_WAY : AITunnel
- ERR_TUNNEL_BASE : AITunnel
- ERR_TUNNEL_CANNOT_BUILD_ON_WATER : AITunnel
- ERR_TUNNEL_END_SITE_UNSUITABLE : AITunnel
- ERR_TUNNEL_START_SITE_UNSUITABLE : AITunnel
- ERR_UNKNOWN : AIError
- ERR_UNSUITABLE_ROAD : AIRoad
- ERR_UNSUITABLE_TRACK : AIRail
- ERR_VEHICLE_BASE : AIVehicle
- ERR_VEHICLE_BUILD_DISABLED : AIVehicle
- ERR_VEHICLE_CANNOT_REFIT : AIVehicle
- ERR_VEHICLE_CANNOT_SEND_TO_DEPOT : AIVehicle
- ERR_VEHICLE_CANNOT_START_STOP : AIVehicle
- ERR_VEHICLE_CANNOT_TURN : AIVehicle
- ERR_VEHICLE_IN_FLIGHT : AIVehicle
- ERR_VEHICLE_IN_THE_WAY : AIError
- ERR_VEHICLE_IS_DESTROYED : AIVehicle
- ERR_VEHICLE_NO_POWER : AIVehicle
- ERR_VEHICLE_NOT_AVAILABLE : AIVehicle
- ERR_VEHICLE_NOT_IN_DEPOT : AIVehicle
- ERR_VEHICLE_TOO_LONG : AIVehicle
- ERR_VEHICLE_TOO_MANY : AIVehicle
- ERR_VEHICLE_WRONG_DEPOT : AIVehicle
- ERR_WAYPOINT_ADJOINS_MULTIPLE_WAYPOINTS : AIWaypoint
- ERR_WAYPOINT_BASE : AIWaypoint
- ERR_WAYPOINT_TOO_CLOSE_TO_ANOTHER_WAYPOINT : AIWaypoint
- Error() : AILog
- ErrorCategories : AIError
- ErrorMessages : AIBridge , AIError , AIMarine , AIOrder , AIRail , AIRoad , AISign , AIStation , AITile , AITunnel , AIVehicle , AIWaypoint